Skip to content
Start here

List datasets

radar.datasets.list(DatasetListParams**kwargs) -> DatasetListResponse
GET/radar/datasets

Retrieves a list of datasets.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
dataset_type: Optional[Literal["RANKING_BUCKET", "REPORT"]]

Filters results by dataset type.

One of the following:
"RANKING_BUCKET"
"REPORT"
date: Optional[Union[null, null]]

Filters results by the specified date.

formatdate
format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: Optional[int]

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
offset: Optional[int]

Skips the specified number of objects before fetching the results.

minimum0
ReturnsExpand Collapse
class DatasetListResponse:
datasets: List[Dataset]
id: int
description: str
meta: object
tags: List[str]
title: str
type: str

List datasets

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
datasets = client.radar.datasets.list()
print(datasets.datasets)
{
  "result": {
    "datasets": [
      {
        "id": 3,
        "description": "This dataset contains a list of the op 20000 domains globally",
        "meta": {},
        "tags": [
          "global"
        ],
        "title": "Top bucket 20000 domains",
        "type": "RANKING_BUCKET"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "datasets": [
      {
        "id": 3,
        "description": "This dataset contains a list of the op 20000 domains globally",
        "meta": {},
        "tags": [
          "global"
        ],
        "title": "Top bucket 20000 domains",
        "type": "RANKING_BUCKET"
      }
    ]
  },
  "success": true
}